Upsert environment variables
curl --request PUT \
--url https://api.specular.dev/branches/{id}/env-vars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vars": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.specular.dev/branches/{id}/env-vars"
payload = { "vars": [
{
"name": "<string>",
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({vars: [{name: '<string>', value: '<string>'}]})
};
fetch('https://api.specular.dev/branches/{id}/env-vars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"environmentVariables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Branches
Upsert environment variables
PUT
/
branches
/
{id}
/
env-vars
Upsert environment variables
Authorizations
Bearer authentication with API key (format: Bearer sk_xxx)
Path Parameters
Branch ID
Body
application/json
Environment variables to upsert
Show child attributes
Show child attributes
Response
Environment variables upserted
Environment variables upserted
Show child attributes
Show child attributes
⌘I